## gargoyle-free 2011.1a

=== debian/changelog ===
gargoyle-free (2011.1a-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Update project url in debian/copyright and debian/watch
  * Bump debhelper compat level to 9
  * Use canonical vcs url
  * debian/TODO: Alan 2 is included since 2011.1a-1

  [ Sylvain Beucler ]
  * Replace Matthias' patch with finer one from upstream tracker
  * Bump standards to 3.9.6 (no changes)

 -- Sylvain Beucler <beuc@debian.org>  Wed, 15 Jul 2015 14:12:02 +0200

gargoyle-free (2011.1a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 5. Closes: #777860.
  * Build-depend on libpng-dev instead of libpng12-dev. Closes: #662341.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 14:42:50 +0200

gargoyle-free (2011.1a-2) unstable; urgency=low

  * Fix package description: Alan 2 is now included.

 -- Sylvain Beucler <beuc@debian.org>  Sun, 13 Oct 2013 17:08:18 +0200

gargoyle-free (2011.1a-1) unstable; urgency=low

  * New upstream release
  * Alan 2 interpreter is now Free Software, include it
  * Update fonts package names in dependencies (Closes: #715160)
  * Bump Standards-Version to 3.9.4

 -- Sylvain Beucler <beuc@debian.org>  Sun, 28 Jul 2013 13:38:56 +0200
