=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Sylvain Beucler <beuc@debian.org>
-Build-Depends: quilt, debhelper (>= 7.0.50~), jam, libgtk2.0-dev, libpng12-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: quilt, debhelper (>= 9), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
+Standards-Version: 3.9.6
 Homepage: http://ccxvii.net/gargoyle/
-Vcs-Git: git://git.debian.org/git/pkg-games/gargoyle-free.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/gargoyle-free.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/gargoyle-free.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gargoyle-free.git
 
 Package: gargoyle-free
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation, ttf-linux-libertine
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation, fonts-linuxlibertine
 Provides: zcode-interpreter, tads2-interpreter, tads3-interpreter
 Description: graphical player for Interactive Fiction games
  Gargoyle is an Interactive Fiction (text adventure) player that
@@ -45,8 +45,8 @@
  .
  Limitations:
  .
- * This free version of gargoyle does not include the non-free Alan2
- and Hugo interpreter (and use a different, free monospace font).
+ * This free version of gargoyle does not include the non-free Hugo
+ interpreter (and uses a different, free monospace font).
  .
  * While Gargoyle can display in-game pictures, it does not provide a
  way to display the cover art present in some Blorb archives.
