=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


# Tell 'jam' to statically link private libraries; the convenience
# library is pretty small and it's much simpler in jam than trying to
# install to a private library prefix directory (would be
# /usr/lib/gargoyle) - or using a LD_LIBRARY_PATH wrapper.
export STATIC=1

TARGET  := $(CURDIR)/debian/gargoyle-free

%:
	dh $@ --parallel

override_dh_auto_build:
	jam -j$$(nproc)

override_dh_auto_install:
#	install the package into debian/gargoyle-free.
	jam install  # to build/dist/
#	'debian/install' doesn't support renaming files:
#	(last field is always a directory, even without a trailing '/')
	install -m 755 build/dist/gargoyle $(TARGET)/usr/games/gargoyle-free

override_dh_auto_clean:
	jam clean
	rm -rf build/
