=== debian/watch ===
version=3
https://github.com/garglk/garglk/tags .*/stable-(201.*)\.tar\.gz
