=== terps/glulxe/Makefile ===
--- 
+++ 
@@ -28,10 +28,10 @@
 include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)
 
 CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR)
-LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) 
+LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm
 
 OBJS = main.o files.o vm.o exec.o funcs.o operand.o string.o glkop.o \
-  heap.o serial.o search.o accel.o gestalt.o osdepend.o profile.o
+  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o profile.o
 
 all: glulxe
 
@@ -41,7 +41,7 @@
 glulxdump: glulxdump.o
 	$(CC) -o glulxdump glulxdump.o
 
-$(OBJS): glulxe.h
+$(OBJS) unixstrt.o: glulxe.h
 
 exec.o operand.o: opcodes.h
 gestalt.o: gestalt.h
