=== debian/changelog ===
gargoyle-free (2011.1b-1) unstable; urgency=medium

  * Team upload.
  * Repacked upstream release, dropping the fonts (Closes: #851111).

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Jan 2017 08:59:03 +0100

gargoyle-free (2011.1a-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC6 by using -std=gnu++98 (Closes: #812058).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 03 Dec 2016 01:38:34 +0500
