=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu++98
 
 # Tell 'jam' to statically link private libraries; the convenience
 # library is pretty small and it's much simpler in jam than trying to
