## gargoyle-free 2019.1.1

=== terps/git/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 # You shouldn't have to change anything from here on down.
 
 MAJOR = 1
-MINOR = 2
+MINOR = 3
 PATCH = 4
 
 include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)
