=== terps/glulxe/Makefile ===
--- 
+++ 
@@ -19,19 +19,33 @@
 #GLKLIBDIR = ../xglk
 #GLKMAKEFILE = Make.xglk
 
+#GLKINCLUDEDIR = ../remglk
+#GLKLIBDIR = ../remglk
+#GLKMAKEFILE = Make.remglk
+
+#GLKINCLUDEDIR = ../gtkglk/src
+#GLKLIBDIR = ../gtkglk
+#GLKMAKEFILE = ../Make.gtkglk
+
 # Pick a C compiler.
 #CC = cc
 CC = gcc
 
 OPTIONS = -g -Wall -Wmissing-prototypes -Wstrict-prototypes -Wno-unused -DOS_UNIX
 
+# Locate the libxml2 library. You only need these lines if you are using
+# the VM_DEBUGGER option. If so, uncomment these and set appropriately.
+#XMLLIB = -L/usr/local/lib -lxml2
+#XMLLIBINCLUDEDIR = -I/usr/local/include/libxml2
+
 include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)
 
-CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR)
-LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm
+CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR) $(XMLLIBINCLUDEDIR)
+LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm $(XMLLIB)
 
 OBJS = main.o files.o vm.o exec.o funcs.o operand.o string.o glkop.o \
-  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o profile.o
+  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o \
+  profile.o debugger.o
 
 all: glulxe
