=== debian/changelog ===
gargoyle-free (2019.1.1-2) unstable; urgency=medium

  * Fix FTBFS with gcc-10 (Closes: #957253)
  * Drop unneeded quilt dependency
  * Font unbundling: replace jam patch with jam variable
  * Verbose build
  * Only build in parallel if requested through DEB_BUILD_OPTIONS
  * desktop_menu_entry.patch: forwarded upstream

 -- Sylvain Beucler <beuc@debian.org>  Thu, 14 May 2020 22:11:04 +0200

gargoyle-free (2019.1.1-1) unstable; urgency=medium

  [ Stephen Kitt ]

  * debian/control: move URLs to Salsa

  [ Sylvain Beucler]

  * New upstream release (Closes: #850096, #957253)
  * DFSG repackage
  * Update copyright information, documentation, patches
  * Allow specifying a game to run in .desktop entry (Closes: #882768)
  * Actually install alan2
  * Don't install garglk.ini as example since it's already installed in /etc
  * debian/watch: update naming convention
  * Bump standards to 4.5.0 (no changes)
  * Bump debhelper to 12; drop explicit --parallel

 -- Sylvain Beucler <beuc@debian.org>  Thu, 14 May 2020 14:43:40 +0200
