=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gargoyle-free
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Sylvain Beucler <beuc@debian.org>
-Build-Depends: quilt, debhelper (>= 9), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 12), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
+Standards-Version: 4.5.0
 Homepage: http://ccxvii.net/gargoyle/
-Vcs-Git: git://anonscm.debian.org/pkg-games/gargoyle-free.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gargoyle-free.git
+Vcs-Git: https://salsa.debian.org/games-team/gargoyle-free.git
+Vcs-Browser: https://salsa.debian.org/games-team/gargoyle-free
 
 Package: gargoyle-free
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation, fonts-linuxlibertine
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-go, fonts-liberation, fonts-linuxlibertine, fonts-noto-core
 Provides: zcode-interpreter, tads2-interpreter, tads3-interpreter
 Description: graphical player for Interactive Fiction games
  Gargoyle is an Interactive Fiction (text adventure) player that
@@ -45,9 +45,6 @@
  .
  Limitations:
  .
- * This free version of gargoyle does not include the non-free Hugo
- interpreter (and uses a different, free monospace font).
- .
  * While Gargoyle can display in-game pictures, it does not provide a
  way to display the cover art present in some Blorb archives.
  .
