## gargoyle-free 2022.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,35 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Sylvain Beucler <beuc@debian.org>
-Build-Depends: debhelper (>= 12), jam, libgtk2.0-dev, libpng-dev, libjpeg-dev, libsdl1.2-dev, libsdl-sound1.2-dev, libsdl-mixer1.2-dev, libfreetype6-dev, libfontconfig1-dev, pkg-config
-Standards-Version: 4.5.0
-Homepage: http://ccxvii.net/gargoyle/
+Uploaders:
+    Sylvain Beucler <beuc@debian.org>,
+    Alexandre Detiste <alexandre.detiste@gmail.com>,
+Build-Depends:
+    cmake,
+    libfontconfig1-dev,
+    libfreetype6-dev,
+    libjpeg-dev,
+    libpng-dev,
+    libsdl2-dev,
+    libsdl2-mixer-dev,
+    libspeechd-dev,
+    pkg-config,
+    qtbase5-dev,
+    qtbase5-dev-tools,
+    debhelper-compat (= 13)
+Standards-Version: 4.6.1
+Homepage: https://ccxvii.net/gargoyle/
 Vcs-Git: https://salsa.debian.org/games-team/gargoyle-free.git
 Vcs-Browser: https://salsa.debian.org/games-team/gargoyle-free
+Rules-Requires-Root: no
 
 Package: gargoyle-free
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-go, fonts-liberation, fonts-linuxlibertine, fonts-noto-core
+Depends:
+    fonts-go,
+    fonts-sil-charis,
+    ${shlibs:Depends},
+    ${misc:Depends}
 Provides: zcode-interpreter, tads2-interpreter, tads3-interpreter
 Description: graphical player for Interactive Fiction games
  Gargoyle is an Interactive Fiction (text adventure) player that
@@ -41,7 +60,7 @@
  Technically all the bundled interpreters support the Glk API to
  manage I/O (keyboard, graphics, sounds, file) in IF games. Gargoyle
  provides a Glk implementation called garglk that displays texts and
- images in a graphical Gtk window, with care on typography.
+ images in a graphical Qt window, with care on typography.
  .
  Limitations:
  .
